Package org.springframework.web.bind

# Class UnsatisfiedServletRequestParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.springframework.web.bind.ServletRequestBindingException
org.springframework.web.bind.UnsatisfiedServletRequestParameterException

All Implemented Interfaces:
  `Serializable`, `ErrorResponse`

public class UnsatisfiedServletRequestParameterException extends ServletRequestBindingException
`ServletRequestBindingException` subclass that indicates an unsatisfied parameter condition, as typically expressed using an `@RequestMapping` annotation at the `@Controller` type level.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  - `RequestMapping.params()`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.ErrorResponse

`ErrorResponse.Builder, ErrorResponse.Interceptor`

## Constructor Summary

Constructors
Constructor
Description
`UnsatisfiedServletRequestParameterException(String[] paramConditions, Map<String,String[]> actualParams)`
Create a new UnsatisfiedServletRequestParameterException.
`UnsatisfiedServletRequestParameterException(List<String[]> paramConditions, Map<String,String[]> actualParams)`
Create a new UnsatisfiedServletRequestParameterException.

## Method Summary

Modifier and Type
Method
Description
`final Map<String,String[]>`
`getActualParams()`
Return the actual parameter Map associated with the ServletRequest.
`String`
`getMessage()`
`final List<String[]>`
`getParamConditionGroups()`
Return all parameter condition groups that have been violated.
`final String[]`
`getParamConditions()`
Return the parameter conditions that have been violated or the first group in case of multiple groups.

### Methods inherited from class org.springframework.web.bind.ServletRequestBindingException

`getBody, getDetailMessageArguments, getDetailMessageCode, getStatusCode`

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.web.ErrorResponse

`getDetailMessageArguments, getHeaders, getTitleMessageCode, getTypeMessageCode, updateAndGetBody`

## Constructor Details

### UnsatisfiedServletRequestParameterException

public UnsatisfiedServletRequestParameterException(String[] paramConditions, Map<String,String[]> actualParams)
Create a new UnsatisfiedServletRequestParameterException.

Parameters:
  `paramConditions` - the parameter conditions that have been violated
  `actualParams` - the actual parameter Map associated with the ServletRequest

### UnsatisfiedServletRequestParameterException

public UnsatisfiedServletRequestParameterException(List<String[]> paramConditions, Map<String,String[]> actualParams)
Create a new UnsatisfiedServletRequestParameterException.

Parameters:
  `paramConditions` - all sets of parameter conditions that have been violated
  `actualParams` - the actual parameter Map associated with the ServletRequest
Since:
  4.2

## Method Details

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### getParamConditions

public final String[] getParamConditions()
Return the parameter conditions that have been violated or the first group in case of multiple groups.

See Also:
  - `RequestMapping.params()`

### getParamConditionGroups

public final List<String[]> getParamConditionGroups()
Return all parameter condition groups that have been violated.

Since:
  4.2
See Also:
  - `RequestMapping.params()`

### getActualParams

public final Map<String,String[]> getActualParams()
Return the actual parameter Map associated with the ServletRequest.

See Also:
  - `ServletRequest.getParameterMap()`